Commits

Toby Davies  committed d845afc Merge

merge

  • Participants
  • Parent commits 71f32f4, 96fcaa6

Comments (0)

Files changed (11)

 
 urxvt*loginShell:true
 urxvt*shading:20
-urxvt*background:Black
-urxvt*foreground:White
+urxvt*background:rgba:003f/003f/003f/ffff
+urxvt*foreground:rgba:ddff/ddff/ffff/ffff
 urxvt*scrollBar:true
 urxvt*scrollBar_right:true
 urxvt*transpscrollbar:true
 urxvt*saveLines:32767
-urxvt*font:*-*-fixed-medium-r-normal--*-110-*-*-*-*-iso8859-1
-urxvt*boldFont:*-*-fixed-bold-r-normal--*-*-110-*-*-*-*-iso8859-1
+urxvt*font: xft:Inconsolata:size=11
+!urxvt*font:*-*-fixed-medium-r-normal--*-110-*-*-*-*-iso8859-1
+urxvt*boldFont: xft:Inconsolata:size=11
+!urxvt*boldFont:*-*-fixed-bold-r-normal--*-*-110-*-*-*-*-iso8859-1
 urxvt*fading:20
 urxvt.urgentOnBell: true
 !urxvt*transparent:true
 !urxvt*backgroundPixmap:/usr/share/backgrounds/Ropey_Photo_by_Bob_Farrell.jpg;1:root
 
 
+URxvt.perl-ext-common:  default,matcher
+URxvt.urlLauncher:      /usr/bin/sensible-browser
+URxvt.matcher.button:   1
+
+URxvt.searchable-scrollback: CM-~

File .emacs

File contents unchanged.
 syntax:glob
 *~
-#*#
+\#*
+.\#*
+*.elc
+.emacs.d/elpa/*
+*.o
+*.hi

File .xmonad/hooks

 #!/bin/bash
 
-run-parts ~/.xmonad/"$1.d"
+for f in ~/.xmonad/"$1.d/"* ; do
+    if [ -x "$f" ] ; then
+	"$f" &
+    fi
+done
 
+wait

File .xmonad/xmonad.hs

 import XMonad.Layout.NoBorders
 import XMonad.Layout.Tabbed
 import XMonad.Layout.Grid
+import XMonad.Layout.OneBig
 import XMonad.Layout.ShowWName
 import XMonad.Hooks.UrgencyHook
+import XMonad.Hooks.EwmhDesktops
 
 myModMask = mod4Mask               -- "windows key"
 myNormalBorderColor  = "#4f4fff"
 myTerminal = "urxvt"
 
 main :: IO ()
-main = xmonad $ withUrgencyHookC myUrgentHook myUrgentConfig $ config
+main = xmonad $ withUrgencyHookC myUrgentHook myUrgentConfig $ ewmh config
        where config = defaultConfig {
                normalBorderColor  = myNormalBorderColor,
                focusedBorderColor = myFocusedBorderColor,
   ("M1-<F4>", kill),
   ("M-x", spawn "visit"),
   ("M-z", safeSpawn "zsh" ["-c", "sensible-browser"]),
+  ("M-S-z", spawn "zsh -c sensible-browser \"$(xsel)\""),
   ("M-0", spawn "popup-notify"),
   --  ("M-S-0", spawn "notify-send \"`date '+%A %Y-%m-%d %T'`\" \"`cal`\""),
   ("M-S-0", spawn "zenity --calendar --text=\"Now: `date`\""),
   ("M-g", spawn "sensible-browser --app=http://www.gmail.com"),
   ("M-o", spawn "nautilus --no-desktop"),
   ("M-;", focusUrgent),
+  ("M-S-`", spawn "user-shutdown"),
   ("<XF86AudioLowerVolume>", spawn "amixer sset -- Master playback 10-"),
   ("<XF86AudioRaiseVolume>", spawn "amixer sset -- Master playback 10+"),
   ("S-<XF86AudioRaiseVolume>", spawn "amixer sset -- Master playback 100%"),
   ("<XF86AudioMute>", spawn "amixer sset -- Master playback 0%"),
   ("M-<F3>", spawn "xbacklight -inc 20"),
-  ("M-<F2>", spawn "xbacklight -dec 20")
+  ("M-<F2>", spawn "xbacklight -dec 20"),
+  ("M-S-q", saveAndShutdown)
   ]
 
+saveAndShutdown = do execScriptHook "shutdown" ; io (exitWith ExitSuccess)
+  
+
 manageHooks = [
-  className =? "XClock" --> doFloat,
-  className =? "Xmessage" -->doFloat,
-  className =? "Zenity" -->doFloat,
+  className =? "XClock"    -->doFloat,
+  className =? "Xmessage"  -->doFloat,
+  className =? "Zenity"    -->doFloat,
   className =? "Rhythmbox" -->doShift "music",
-  className =? "trayer" -->doShift "misc",
-  className =? "skype" -->doShift "skype"
+  className =? "trayer"    -->doShift "misc",
+  className =? "skype"     -->doShift "skype"
   ]
               
-myLayoutHook = showWName $ smartBorders $ (tiled (9/15) ||| Grid ||| Mirror (tiled (13/15)) ||| simpleTabbedBottom ||| Full)
-  where tiled      = Tall nmaster inc 
+myLayoutHook = showWName $ smartBorders $ (Mirror spiral) ||| myTabbed ||| Full
+  where tiled      = Tall nmaster inc splitFrac
         nmaster    = 1
+        spiral     = OneBig splitFrac splitFrac
+        myTabbed   = simpleTabbed
+        inc::(Fractional t)=>t
         inc        = 1/15
+        splitFrac::(Fractional t)=>t
+        splitFrac  = 10*inc
 
 myWorkspaces = [
   "web",
 export GUROBI_HOME="/opt/gurobi400/linux64"
 export PATH="${PATH}:${GUROBI_HOME}/bin"
 export LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:${GUROBI_HOME}/lib"
+#Boost
+export BOOST_BUILT_LIBS="/usr/include/boost_1_47_0/stage/lib"
+export LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:${BOOST_BUILT_LIBS}"
+
 ###
 
 if [[ -n "$DISPLAY" ]]; then
     export PYTHONPATH="$PYTHONPATH:"$(echo ~/py-src/)
 fi
 
+if [[ -d /vol/ ]] ; then
+    hash -d workbench="/vol/workbench"
+fi
 if [ -d ~/pyproj ] ; then
     export PYTHONPATH="$PYTHONPATH:"$(echo ~/pyproj/*/)
 fi
     hash -d www="/var/www"
 fi
 
+export PATH="$PATH:$HOME/minizinc-1.5.1/bin"
+export MANPATH="$MANPATH:$HOME/minizinc-1.5.1/doc/man"
 
 autoload -U colors ~/fbin/*[^~#](:t)
 
-alias visit='noglob visit'
+#alias visit='noglob visit'
 alias ll='ls -lh --color=auto '
 alias la='ll -A'
 alias can-has='sudo aptitude install '
 #!/usr/bin/zsh
 
 X=()
-if (nmcli -t -f name con status | grep -q "UniWireless") ; then
-    X=("--proxy-pac-url=http://www.unimelb.edu.au/cgi-bin/proxy.pac")
-    echo "foo" >> ~/foo.bar
-else
-    echo "bar" >> ~/foo.bar
-fi
+#if (nmcli -t -f name con status | grep -q "UniWireless") ; then
+#   X=("--proxy-pac-url=http://www.ubnimelb.edu.au/cgi-bin/proxy.pac")
+#   echo "foo" >> ~/foo.bar
+#else
+#    echo "bar" >> ~/foo.bar
+#fi
 
-echo chromium-browser $X $@
+urlify (){
+    grep '^http\(s\|\)://'
+}
 
-chromium-browser $X $@
+searchify (){
+    sed -e '/http\(s\|\):/ ! s|^\(.*\)$|http://www.google.com/search?q=\1|'
+}
+
+URLS=()
+while getopts ':xc' OPTNAME ; do
+    case "$OPTNAME" in
+        x)
+            if 
+            URLS+=("$(xsel -p | searchify)")
+            ;;
+        c)
+            URLS+=("$(xsel -b | searchify)")
+            ;;
+        *)  echo "-$OPTNAME not yet implemented" >&2
+            ;;
+        [?])
+            echo >&2 "Usage: $0 "
+            exit 1
+            ;;
+    esac
+done
+shift $((OPTIND-1))
+
+
+
+echo chromium-browser $X $@ $URLS >> ~/foo.bar
+chromium-browser $X $@ $URLS
+
+

File bin/popup-notify

 
 NET="$(nmcli -t -f NAME con status | sed 's|AUTO \(.*\)$|\1:|i') $(nmcli -t -f STATE nm)"
 
-notify-send $TIME "$DATE\n\n$BATT\n\n$NET"
+MSG=$(echo "$DATE\n\n$NET\n\n$BATT")
+
+notify-send $TIME "$MSG"
 
 apt-get install aptitude
 
-aptitude install xmonad notification-daemon libnotify-bin zsh ipython chromium-browser emacs23 mercurial pyflakes pep8 pylint rxvt-unicode dmenu gmrun trayer vim zenity xclip xsel skype
+aptitude install xmonad notification-daemon libnotify-bin zsh ipython chromium-browser emacs23 mercurial pyflakes pep8 pylint rxvt-unicode dmenu gmrun trayer vim zenity xclip xsel skype python-mode
 
 sed -i -e '/^Exec/d' -e '$ a Exec=/usr/lib/notification-daemon/notification-daemon' \
     /usr/share/dbus-1/services/org.freedesktop.Notifications.service

File tasks.org

-* TODO [#A] Pro Rata multi-licence renewals
-  ** Test on [[file:/plink:tdavies@isenguard:/var/www/new][isenguard]]
-
-[[file:.emacs][.emacs]]